/////////////////////////////////// Plot - Manager+Table.m (mwx,07.09.06) /////

#import <Cocoa/Cocoa.h>

@interface Manager (Table)

- (int)numberOfRowsInTableView:(NSTableView *)table;
- (void)tableViewSelectionDidChange:(NSNotification *)note;
- (void)tableView:(NSTableView*)table
		willDisplayCell:(id)cell
		forTableColumn:(NSTableColumn*)col row:(int)index;
- (id)tableView:(NSTableView *)table
		objectValueForTableColumn:(NSTableColumn *)col row:(int)index;
- (void)tableView:(NSTableView *)table
		setObjectValue:(id)object
		forTableColumn:(NSTableColumn *)col row:(int)index;
- (void)toggleBuffer:(int)i;- (void)toggleXBelong:(int)i;
- (void)toggleYBelong:(int)i;
- (void)toggleUpdate:(int)i;
- (void)toggleLegend:(int)i;
- (void)setCurrentBuffer:(int)i;
- (void)toggleDataViewX;
- (void)toggleDataViewY;
- (void)deletePoints;
- (void)toggleFitRow:(int)i;
- (void)toggleFitParam:(int)p:(int)i;

@end ////////////////////////////////////////////////////////////////////// END
